import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/inventoryUse` + url, ...arg)

// 获取仓库选择器
export default {
	// 获取仓库选择器
	getWareHouseList(data) {
		return request('/warehouseSelector', data, 'get')
	},
	// 获取物资类别选择器
	getWareTypeList(data) {
		return request('/typeSelector', data, 'get')
	},
	// 获取物资列表分页
	getWarePage(data) {
		return request('/page', data, 'get')
	},
	// 添加物资
	addWare(data) {
		return request('/add', data, 'post')
	},
	// 编辑物资
	editWare(data) {
		return request('/edit', data, 'post')
	},
	// 删除物资
	delWare(data) {
		return request('/delete', data, 'post')
	},
	// 归还物资领用
	revertWare(data) {
		return request('/revert', data)
	},
	// 拿到部门下所有人员
	getDepartmentPerson(data) {
		return request('/departmentPersonSelector', data, 'get')
	}
}
